CREATE TABLE irc_purge_entities[ (
    ENTITY_ID              NUMBER(18, 0)     NOT NULL,
    ENTITY_NAME            VARCHAR2(256)     NOT NULL,
    ENABLED_FLAG           VARCHAR2(4)       NOT NULL,
    ACTIVE_DAYS            NUMBER(6, 0)      NOT NULL,
    BATCH_SIZE             NUMBER(10, 0)     NOT NULL,
    EXECUTION_ORDER        NUMBER(3, 0)      NOT NULL,
    MODULE_ID              VARCHAR2(128) ,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    SEED_DATA_SOURCE       VARCHAR2(2048),
    DROP_PARTITION_FLAG    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET1          VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2          VARCHAR2(4)       NOT NULL
);
